> ## Documentation Index
> Fetch the complete documentation index at: https://utoken-docs.yoostudio.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Video Task Status

> OpenAI 兼容的视频任务状态查询接口。

返回视频任务的详细状态信息。




## OpenAPI

````yaml get /v1/videos/{task_id}
openapi: 3.1.0
info:
  title: UToken API
  version: 1.0.0
  description: Complete UToken API Reference Documentation
servers:
  - url: https://utoken.yoostudio.ai
    description: Production
security: []
tags:
  - name: Images / Native Gemini Format
  - name: Images / Native OpenAI Format
  - name: Images / Qwen OpenAI Compatible Format
  - name: Realtime Voice
  - name: Content Moderation
  - name: Text Embeddings
  - name: Unimplemented / Fine-tuning
  - name: Unimplemented / File Management
  - name: Models / List Models
  - name: Chat Completions
  - name: Chat Completions / Native Gemini Format
  - name: Chat Completions / Native OpenAI Format
  - name: Text Completions
  - name: Video Generation
  - name: Video Generation / Sora Format
  - name: Video Generation / Jimeng (Dreamina) Format
  - name: Video Generation / Kling AI Format
  - name: Document Reranking
  - name: Audio Processing
  - name: Audio Processing / Native OpenAI Format
paths:
  /v1/videos/{task_id}:
    get:
      tags:
        - Video Generation / Sora Format
      summary: Get Video Task Status
      description: |
        OpenAI-compatible video Task Status query endpoint.

        Returns detailed status information of video tasks.
      operationId: getvideo
      parameters:
        - name: task_id
          in: path
          required: true
          description: Video Task ID
          schema:
            type: string
      responses:
        '200':
          description: Success - Video Task Status retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  object:
                    type: string
                  model:
                    type: string
                  status:
                    type: string
                  progress:
                    type: integer
                  created_at:
                    type: integer
                  seconds:
                    type: string
                required:
                  - id
                  - object
                  - model
                  - status
                  - progress
                  - created_at
                  - seconds
                x-apifox-orders:
                  - id
                  - object
                  - model
                  - status
                  - progress
                  - created_at
                  - seconds
        '404':
          description: Task does not exist
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Error message
                      type:
                        type: string
                        description: Error type
                      param:
                        type:
                          - string
                          - 'null'
                        description: Related parameters
                      code:
                        type:
                          - string
                          - 'null'
                        description: Error code
                    x-apifox-orders:
                      - message
                      - type
                      - param
                      - code
                x-apifox-orders:
                  - error
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Use Bearer Token authentication
        Format: Authorization: Bearer sk-xxxxxx

````